Convenience — returns the exact binding text for (owner, node) with a fresh nonce
POST
/v1/devices/binding-message
const url = 'https://testnet-rpc.necter.network/v1/devices/binding-message';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"owner":"example","public_key":"example","unbind":false}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://testnet-rpc.necter.network/v1/devices/binding-message \ --header 'Content-Type: application/json' \ --data '{ "owner": "example", "public_key": "example", "unbind": false }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
owner
required
Lowercase EVM address
string
public_key
required
string
unbind
boolean
Responses
Section titled “Responses”Message to sign
Media typeapplication/json
object
message
required
string
binding_hash
required
string
Example generated
{ "message": "example", "binding_hash": "example"}